Skip to main content
Identity & Access/ZIAM

ZiamListSyncEvents

Lists queued, delivered, failed, or dead SCIM sync events. This endpoint is for audit and troubleshooting.

GET/api/v1/ziam/sync-events

Operation ID

ZiamListSyncEvents

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • status
    String

    Event status filter.

    Example: pending

  • resourceType
    String

    Resource type filter.

  • resourceId
    String

    Resource id filter.

  • limit
    Integer

    Maximum number of events to return.

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • status
    String

    Status for this resource

    Example: ok

  • data
    List

    Response payload data

    Example: (nested array)

    • id
      String

      Unique identifier of this resource

      Example: evt-001

    • operation
      String

      Operation for this resource

      Example: update

    • resourceType
      String

      Resource type for this resource

      Example: Users

    • resourceId
      String

      Resource id for this resource

      Example: user-001

    • resourceVersion
      Long

      Resource version for this resource

      Example: 12

    • status
      String

      Status for this resource

      Example: delivered

    • attempts
      Integer

      Attempts for this resource

      Example: 1

    • lastError
      String

      Last error for this resource

      Example: delivery failed

    • nextAttemptAt
      String

      Next attempt at for this resource

      Example: 2026-01-15T08:00:00Z